<?php

function get_html_typetag_selection(
  $typetags,
  $fieldname,
  $selecteds = array(),
  $forbidden_categories = null
  )
{
  global $conf;

  if (count ($typetags) == 0 )
  {
    return '';
  }
  $output = '<ul class="typetagSelection">';
  foreach ($typetags as $typetag)
  {
    $output.=
      '<li>'
      .'<label>'
      .'<input type="checkbox" name="'.$fieldname.'[]"'
      .' value="'.$typetag['id'].'"'
      ;

    if (in_array($typetag['id'], $selecteds))
    {
      $output.= ' checked="checked"';
    }

    $output.=
      ' />'
      .'&nbsp;<input type="text" size="1" style="background-color:'. $typetag['color'].'">&nbsp;'. $typetag['name']
      .'</label>'
      .'</li>'
      ."\n"
      ;
  }
  $output.= '</ul>';

  return $output;
}


function get_all_typetags()
{
  $query = '
SELECT id,
       name,
       color       
  FROM '.typetags_TABLE.'
;';
  $result = pwg_query($query);
  $typetags = array();
  while ($row = mysql_fetch_assoc($result))
  {
    array_push($typetags, $row);
  }

  usort($typetags, 'typetags_name_compare');

  return $typetags;
}


function typetags_name_compare($a, $b)
{
  return strcmp(strtolower($a['name']), strtolower($b['name']));
}
?>